Subject: bug#65648: [off-topic your packages] (was: bug#65648: 13.2; indentation of nested environments)

From: Uwe Brauer <[email-masked]>
Date: Sun, 03 Sep 2023 18:45:57 +0200

>>> "PN" == Paul Nelson <[email-masked]> writes:
Hi Paul

> Hi Uwe,
> Thanks for your response.  First I'll respond to the minor points:

>> You say indent-region
>> 
>> I am referring here to the LaTeX-filling-functions, such as
>> LaTeX-fill-environment,  LaTeX-fill-section etc

> There's no important difference here between indent-region and the
> LaTeX fill commands -- unless I'm mistakaen, they all ultimately call
> LaTeX-indent-line, one line at a time.  The same issue occurs for
> both.

>> Since I receive a *lot* of theses badly (in the sense above)
>> environments in the incorrect form
>> So I came up with a solution heavily rewritten and improved by Arash

> I'm likewise often enough in this situation, motivating my proposal.
> My workaround is "czm-tex-edit-fix-buffer", available at the very
> bottom of https://github.com/ultronozm/czm-tex-edit.el/blob/main/czm-tex-edit.el

Just a short comment, why don't to combine both package to one single
repository, since czm-tex-edit.el requires dynexp.el?
That would make it a bit easier to install.

I will try to test them in the coming days.